---
updatedAt: 2026-05-27T12:52:02.000Z
agentTools:
  projectIndex: https://developer.onetrust.com/onetrust/llms.txt
---

# Create Emission Factor

Use this API to create emission factor.

### Example Request

`POST https://{hostname}/api/esg-management/v1/entity-types/names/emission-factors/entities`

`POST https://trial.onetrust.com/api/esg-management/v1/entity-types/names/emission-factors/entities`

> ❗️ End of Support Notification
>
> As of June 8, 2025, these APIs are now deprecated. For more information, see [OneTrust API Sunsetting & Deprecation Guidelines](https://developer.onetrust.com/onetrust/reference/onetrust-api-sunsetting-deprecation-guidelines).

Use this API to create an emission factor.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "ESG Program Reporting & Disclosures",
    "version": "1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    }
  },
  "servers": [
    {
      "url": "https://{hostname}/api/esg-management",
      "variables": {
        "hostname": {
          "default": "hostname",
          "description": "The OneTrust hostname such as app.onetrust.com, app-eu.onetrust.com, app-de.onetrust.com, app-uk.onetrust.com, app-apac.onetrust.com, trial.onetrust.com, or uat.onetrust.com."
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Carbon Management",
      "description": "APIs to manage emission factors and emission transactions.",
      "externalDocs": {
        "description": "OpenAPI 3.0.1 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/esg-program-reporting-disclosures.json"
      }
    }
  ],
  "x-onetrust": {
    "spec-label": "OpenAPI 3.0.1",
    "links": [
      {
        "ESG Program Reporting & Disclosures Knowledge Base": "https://my.onetrust.com/s/topic/0TO3q000000JP7TGAW/esg-program-reporting-disclosures"
      },
      "{'ESG Program Reporting & Disclosures Knowledge Base': 'https://my.onetrust.com/s/topic/0TO3q000000JP7TGAW/esg-program-reporting-disclosures'}"
    ]
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false,
    "metrics-enabled": false
  },
  "paths": {
    "/v1/entity-types/emission-factors/entities": {
      "post": {
        "operationId": "addEmissionFactor",
        "summary": "Create Emission Factor",
        "description": "Use this API to create emission factor.\n\n### Example Request\n\n`POST https://{hostname}/api/esg-management/v1/entity-types/names/emission-factors/entities`\n\n`POST https://trial.onetrust.com/api/esg-management/v1/entity-types/names/emission-factors/entities`",
        "tags": [
          "Carbon Management"
        ],
        "x-onetrust": {
          "release-status": "Deprecated",
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/esg-program-reporting-disclosures.json"
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EmissionFactorBaseEntityCreateRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EntityInformation"
                },
                "example": {
                  "id": "6b0bd46b-aa40-45f3-ade3-feac017343f5",
                  "number": 22,
                  "name": "ef2",
                  "orgGroupId": "11909a50-593a-4caf-a27b-ff3ba3022f0b",
                  "schemaId": null,
                  "entityType": {
                    "id": "9f21745d-e4d6-414e-8b0e-7d74a7ae2408",
                    "name": "emission-factors",
                    "nameKey": "EmissionFactor_Key",
                    "seeded": true,
                    "moduleName": "ESG Management",
                    "schemaName": null
                  },
                  "workflowAndStage": null,
                  "entityDetail": {
                    "data": {
                      "unitOfMeasure": "kg",
                      "intensity": 1,
                      "source": "EPA",
                      "scope": {
                        "id": null,
                        "name": "Scope2",
                        "nameKey": "EmissionScope.Scope2"
                      },
                      "orgGroup": {
                        "id": "11909a50-593a-4caf-a27b-ff3ba3022f0b",
                        "name": "new ESG sheet tenant"
                      }
                    }
                  },
                  "attributes": {},
                  "auditFields": {
                    "createdDate": "2023-10-12T11:47:59.707284544",
                    "lastUpdatedDate": "2023-10-12T11:47:59.707284544",
                    "createdBy": {
                      "id": "74a84f6e-0f45-4338-9216-c1d3e39f2880",
                      "name": "new ESG sheet tenant",
                      "email": "newesgsheettenant01@g.com",
                      "initials": "NS"
                    },
                    "lastModifiedBy": {
                      "id": "74a84f6e-0f45-4338-9216-c1d3e39f2880",
                      "name": "new ESG sheet tenant",
                      "email": "newesgsheettenant01@g.com",
                      "initials": "NS"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "429": {
            "description": "Too Many Requests"
          },
          "500": {
            "description": "Internal Server Error"
          }
        },
        "deprecated": true,
        "security": [
          {
            "oauth2": [
              "ESG"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "EntityInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the entity.",
            "type": "string",
            "format": "uuid",
            "example": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
          },
          "number": {
            "description": "The numerical order in which the entity was created.",
            "type": "integer",
            "format": "int64",
            "example": 1
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "example": "OneTrust"
          },
          "orgGroupId": {
            "description": "The unique identifier of the organization.",
            "type": "string",
            "format": "uuid",
            "example": "d1119953-b4b5-4042-8cb9-b78038cc2c46"
          },
          "schemaId": {
            "description": "The unique identifier of the schema.",
            "type": "string",
            "format": "uuid"
          },
          "entityType": {
            "$ref": "#/components/schemas/BasicEntityTypeInformation"
          },
          "workflowAndStage": {
            "$ref": "#/components/schemas/EntityWorkflowInformation"
          },
          "attributes": {
            "type": "object",
            "example": {
              "textAttributeName": [
                {
                  "value": "Text"
                }
              ],
              "optionBasedAttributeName": [
                {
                  "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
                }
              ]
            },
            "additionalProperties": {
              "type": "array",
              "description": "The attributes of the entity.",
              "example": {
                "textAttributeName": [
                  {
                    "value": "Text"
                  }
                ],
                "optionBasedAttributeName": [
                  {
                    "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
                  }
                ]
              },
              "items": {
                "$ref": "#/components/schemas/AttributeValueInformation"
              }
            }
          },
          "auditFields": {
            "$ref": "#/components/schemas/EntityRecordAuditInformation"
          }
        },
        "required": [
          "entityType",
          "id",
          "number",
          "schemaId"
        ]
      },
      "EntityRecordAuditInformation": {
        "type": "object",
        "properties": {
          "createdDate": {
            "description": "The date and time that the entity was last created.",
            "type": "string",
            "format": "date-time"
          },
          "lastUpdatedDate": {
            "description": "The date and time that the entity was last updated.",
            "type": "string",
            "format": "date-time"
          },
          "createdBy": {
            "$ref": "#/components/schemas/EntityBasicUserInformation"
          },
          "lastModifiedBy": {
            "$ref": "#/components/schemas/EntityBasicUserInformation"
          }
        },
        "required": [
          "createdDate"
        ]
      },
      "EntityBasicUserInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the user.",
            "type": "string",
            "format": "uuid",
            "example": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
          },
          "name": {
            "description": "The full name of the user.",
            "type": "string",
            "example": "First Last"
          },
          "email": {
            "description": "The email address of the user.",
            "type": "string",
            "example": "user@gmail.com"
          },
          "initials": {
            "description": "The initials for the first and last name of the user.",
            "type": "string",
            "example": "FL"
          }
        },
        "example": {
          "id": "c21319953-b4b5-4042-8cb9-b78038cc4c51",
          "name": "Name"
        }
      },
      "BasicEntityTypeInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier for the entity type.",
            "type": "string",
            "format": "uuid",
            "example": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
          },
          "name": {
            "description": "The name of the entity type.",
            "type": "string",
            "example": "Vendor"
          },
          "seeded": {
            "description": "This parameter indicates whether the entity type is seeded or custom.",
            "type": "boolean",
            "example": true
          },
          "moduleName": {
            "description": "The name of the module where the entity exists.",
            "type": "string",
            "example": "CustomEntityManagement"
          },
          "schemaName": {
            "description": "The name of the schema.",
            "type": "string",
            "example": "vendor"
          }
        },
        "example": {
          "id": "a2319953-b4b5-4042-8cb9-b78038cc4c46",
          "name": "Asset"
        },
        "required": [
          "id",
          "name"
        ]
      },
      "EntityWorkflowInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the workflow.",
            "type": "string",
            "format": "uuid",
            "example": "b271c01a-89a9-41b1-8185-0a3e2bfdad84"
          },
          "name": {
            "description": "The name of the workflow.",
            "type": "string",
            "example": "Vendor On-Boarding Workflow"
          },
          "type": {
            "description": "The type of workflow.",
            "type": "string",
            "example": "Vendor"
          },
          "workflowMode": {
            "description": "This parameter indicates whether the workflow mode is null, basic, or advanced.",
            "type": "string",
            "example": "BASIC",
            "enum": [
              "ADVANCED, BASIC"
            ]
          },
          "stageId": {
            "description": "The unique identifier of the workflow stage.",
            "type": "string",
            "format": "uuid",
            "example": "9fc111cb-c379-4f08-8aff-5be954c1a6e6"
          },
          "stageName": {
            "description": "The name of the workflow stage.",
            "type": "string",
            "example": "Start On-Boarding"
          }
        },
        "required": [
          "id",
          "name",
          "stageId",
          "stageName",
          "type"
        ]
      },
      "AttributeValueInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The attribute option GUID.",
            "type": "string",
            "format": "uuid"
          },
          "value": {
            "description": "The attribute option value.",
            "type": "string"
          },
          "valueKey": {
            "description": "The attribute option value key for translation.",
            "type": "string"
          },
          "colorCode": {
            "description": "The attribute option color code.",
            "type": "string"
          },
          "optionSelectionValue": {
            "description": "The attribute option selection value.",
            "type": "string"
          }
        },
        "example": {
          "textAttributeName": [
            {
              "value": "Text"
            }
          ],
          "optionBasedAttributeName": [
            {
              "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
            }
          ]
        }
      },
      "EmissionFactorBaseEntityCreateRequest": {
        "type": "object",
        "properties": {
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "example": "Air travel"
          },
          "organization": {
            "$ref": "#/components/schemas/EntityOrganizationInformation"
          },
          "entityDetail": {
            "$ref": "#/components/schemas/EmissionFactorEntityDetailRequest"
          },
          "attributes": {
            "type": "object",
            "example": {
              "textAttributeName": [
                {
                  "value": "Text"
                }
              ],
              "optionBasedAttributeName": [
                {
                  "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
                }
              ]
            },
            "additionalProperties": {
              "type": "array",
              "description": "The custom attributes of the entity.",
              "example": {
                "textAttributeName": [
                  {
                    "value": "Text"
                  }
                ],
                "optionBasedAttributeName": [
                  {
                    "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
                  }
                ]
              },
              "items": {
                "$ref": "#/components/schemas/AttributeValueInformation"
              }
            }
          }
        },
        "required": [
          "entityDetail",
          "name",
          "organization"
        ]
      },
      "EntityOrganizationInformation": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique identifier of the organization.",
            "type": "string",
            "format": "uuid",
            "example": "f2229953-b4b5-4042-8cb9-b78038cc4c46"
          },
          "name": {
            "description": "The name of the organization.",
            "type": "string",
            "example": "Business Unit"
          }
        },
        "example": {
          "id": "f2229953-b4b5-4042-8cb9-b78038cc4c46",
          "name": "Organization Name"
        },
        "required": [
          "id"
        ]
      },
      "EmissionFactorEntityDetailRequest": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/EmissionFactorCreateRequest"
          }
        }
      },
      "EmissionFactorCreateRequest": {
        "type": "object",
        "properties": {
          "unitOfMeasure": {
            "description": "The measurement unit for the emission factor.",
            "type": "string",
            "example": "miles"
          },
          "intensity": {
            "description": "The intensity of the emission factor per unit of the emission transaction.",
            "type": "number",
            "example": 30
          },
          "source": {
            "description": "The source for the emission factor.",
            "type": "string",
            "example": "EPA"
          },
          "scope": {
            "description": "The scope associated with the emission factor.",
            "type": "string",
            "enum": [
              "SCOPE1",
              "SCOPE2",
              "SCOPE3"
            ]
          },
          "category": {
            "description": "The category for the emission factor.",
            "type": "string",
            "example": "Business Travel"
          }
        },
        "required": [
          "intensity",
          "scope",
          "unitOfMeasure"
        ]
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://{hostname}/api/access/v1/oauth/token",
            "scopes": {
              "ESG": "ESG read and write scope for external systems",
              "ESG_READ": "ESG read scope for external systems"
            }
          }
        }
      }
    }
  }
}
```

# Sibling pages

* [Get List of Emission Details](https://developer.onetrust.com/onetrust/reference/findallbytypeandcriteria.md)
* [Create Emission Transaction](https://developer.onetrust.com/onetrust/reference/addemissiontransaction.md)
* [Get List of Emission Factors](https://developer.onetrust.com/onetrust/reference/getallemissionfactorsbasicentitydetails.md)